konqueror-devel-19.04.0-lp150.94.1.x86_64.rpm


Advertisement

Description

konqueror-devel - KDE Konqueror Libraries: Build Environment

Property Value
Distribution openSUSE Leap 15.0
Repository KDE Applications 5 all
Package filename konqueror-devel-19.04.0-lp150.94.1.x86_64.rpm
Package name konqueror-devel
Package version 19.04.0
Package release lp150.94.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/KDE
Homepage http://www.kde.org/
License GPL-2.0-or-later
Maintainer -
Download size 44.47 KB
Installed size 90.23 KB
Development package for the konqueror libraries.

Alternatives

Package Version Architecture Repository
konqueror-devel-19.07.70git.20190410T030126~aea8b7e7b-lp150.116.5.x86_64.rpm 19.07.70git.20190410T030126~aea8b7e7b x86_64 KDE Applications Unstable
konqueror-devel-17.12.3-lp150.1.3.x86_64.rpm 17.12.3 x86_64 openSUSE Oss
konqueror-devel - - -

Requires

Name Value
konqueror = 19.04.0

Provides

Name Value
cmake(KF5Konq) = 5.97.0
kde-baseapps-devel = 19.04.0
kde-baseapps5-devel = 19.04.0
konqueror-devel = 19.04.0-lp150.94.1
konqueror-devel(x86-64) = 19.04.0-lp150.94.1
libkonq-devel = 19.04.0

Obsoletes

Name Value
kde-baseapps-devel < 19.04.0
kde-baseapps5-devel < 19.04.0
kdebase4-devel -
libkonq-devel < 19.04.0

Download

Type URL
Mirror widehat.opensuse.org
Binary Package konqueror-devel-19.04.0-lp150.94.1.x86_64.rpm
Source Package konqueror-19.04.0-lp150.94.1.src.rpm

Install Howto

  1. Add the KDE Applications 5 repository:
    # zypper addrepo http://widehat.opensuse.org/opensuse/repositories/KDE:/Applications/KDE_Frameworks5_openSUSE_Leap_15.0/ kde-applications-5
  2. Install konqueror-devel rpm package:
    # zypper install konqueror-devel

Files

Path
/usr/include/KF5/konq_events.h
/usr/include/KF5/konq_historyentry.h
/usr/include/KF5/konq_historyprovider.h
/usr/include/KF5/konq_popupmenu.h
/usr/include/KF5/konq_version.h
/usr/include/KF5/libkonq_export.h
/usr/lib64/libKF5Konq.so
/usr/lib64/cmake/KF5Konq/KF5KonqConfig.cmake
/usr/lib64/cmake/KF5Konq/KF5KonqConfigVersion.cmake
/usr/lib64/cmake/KF5Konq/KF5KonqTargets-none.cmake
/usr/lib64/cmake/KF5Konq/KF5KonqTargets.cmake
/usr/share/licenses/konqueror-devel/COPYING
/usr/share/licenses/konqueror-devel/COPYING.DOC
/usr/share/licenses/konqueror-devel/COPYING.LIB

Changelog

2019-04-20 - lbeltrame@kde.org
- Update to 19.04.0
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-19.04.0.php
- Changes since 19.03.90:
* No code changes since 19.03.90
2019-04-09 - lbeltrame@kde.org
- Update to 19.03.90
* New feature release
* For more details please see:
* https://kde.org/announcements/announce-applications-19.04-rc.php
- Changes since 19.03.80:
* No code changes since 19.03.80
2019-03-27 - lbeltrame@kde.org
- Update to 19.03.80
* New feature release
* For more details please see:
* https://kde.org/announcements/announce-applications-19.04-beta.php
- Changes since 18.12.3:
* Too many changes to list here
2019-03-09 - lbeltrame@kde.org
- Update to 18.12.3
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.3.php
- Changes since 18.12.2:
* No code changes since 18.12.2
2019-02-09 - lbeltrame@kde.org
- Update to 18.12.2
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.2.php
- Changes since 18.12.1:
* Fix license
2019-01-11 - lbeltrame@kde.org
- Update to 18.12.1
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.1.php
- Changes since 18.12.0:
* Fix all plugin ui.rc/metadata to be also installed for webenginepart
* Fix error page to have UTF-8 encoding set as needed
* Fix ui.rc files to use non-deprecated <gui> and to match DOCTYPE
* Fix WebEngineTextExtension::completeText a bit
* Remove unused find_package for Qt5Xml
* Fix KF5_MIN_VERSION to match API used by code for some releases
* Properly support BUILD_TESTING
* Do not duplicated work of KAboutData::setupCommandLine()
* Use same konqueror.org homepage everywhere
* Remove duplicated cmake_minimum_required from libkonq, was resetting things
* Remove usage of dead QT_USE_FAST_CONCATENATION
* Remove unneeded moc includes
* Use more https in links
* Fix typo in include directory
* Fix broken-by-kf5-port installation of some icons
2018-12-14 - lbeltrame@kde.org
- Update to 18.12.0
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12.0.php
- Changes since 18.11.90:
* No code changes since 18.11.90
2018-12-03 - lbeltrame@kde.org
- Update to 18.11.90
* New bugfix release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-rc.php
- Changes since 18.11.80:
* actually initialize kcrash properly
2018-11-20 - Luca Beltrame <lbeltrame@kde.org>
- Run spec-cleaner
2018-11-20 - lbeltrame@kde.org
- Update to 18.11.80
* New feature release
* For more details please see:
* https://www.kde.org/announcements/announce-applications-18.12-beta.php
- Changes since 18.08.3:
* Fix build with Qt 5.12
* Add donation url to appdata
* Ask the user what to do in case of a SSL certificate error
* Fix handling of cookies without a domain
* File Size View: Fix KProtocolInfoFactory assert
* Fix removing cookies from KCookieServer
* use QIcon::fromTheme() instead of QIcon()
* Add basic tests for WebEnginePartCookieJar
* Fix minor EBN issues and minor porting
* Fix compilation
* Fix minor EBN issues [includes]
* Replace KStatusBar with QStatusBar
* Remove KIcon from plugins
* Remove call to hasSubUrl
* Remove KUrl from autorefresh, dirfilter, domtreeview and fsview plugins
* Fix minor EBN issues
* Fix the workaround for cookie expiration date in WebEnginePart
* Don't define WebEnginePartCookieJar::filterCookie for old versions of Qt
* Synchronize cookies between QWebEngine and KCookieServer
* Fix issue with info protocol and refresh
* Restore ability to view help pages from Konqueror

See Also

Package Description
konqueror-lang-19.04.0-lp150.94.1.noarch.rpm Translations for package konqueror
konqueror-plugins-19.04.0-lp150.94.1.x86_64.rpm KDE File Manager and Browser
konquest-19.04.0-lp150.1.1.x86_64.rpm Galactic strategy game
konquest-lang-19.04.0-lp150.1.1.noarch.rpm Translations for package konquest
konsole-19.04.0-lp150.1.1.x86_64.rpm KDE Terminal
konsole-part-19.04.0-lp150.1.1.x86_64.rpm KDE Terminal
konsole-part-lang-19.04.0-lp150.1.1.noarch.rpm Translations for package konsole
konsole4-part-4.14.3-lp150.22.2.x86_64.rpm KDE Terminal
kontact-19.04.0-lp150.83.1.x86_64.rpm Personal Information Manager
kontact-lang-19.04.0-lp150.83.1.noarch.rpm Translations for package kontact
kontactinterface-devel-19.04.0-lp150.117.1.x86_64.rpm KDE PIM Libraries: Build Environment
kontactinterface-lang-19.04.0-lp150.117.1.noarch.rpm Translations for package kontactinterface
kopete-19.04.0-lp150.1.2.x86_64.rpm Instant Messenger
kopete-devel-19.04.0-lp150.1.2.x86_64.rpm Instant Messenger - Development Files
kopete-lang-19.04.0-lp150.1.2.noarch.rpm Translations for package kopete
Advertisement
Advertisement